// resource.h
// Resource defines for the Timesheet App.
// author:  stuart nicholson
// version: 12-jun-1998
// (c) Copyright 1998, Stuart Nicholson

// GUI logical definitions, alerts, forms, menu bars etc.

#define alertID_tsConfirmDel    1000
#define alertID_tsConfirmDayWeekDel 1002
#define alertID_tsEmptyDayWeek  1004
#define alertID_tsConfirmPrior  1006
#define alertID_tsConfirmCatDel 1008
#define alertID_tsDayFull       1010
#define alertID_tsCatFull       1012
#define alertID_tsSelectCat     1014
#define alertID_tsEmptyCat      1016
#define alertID_tsExistingCat   1018
#define alertID_tsRomIncompat   1020
#define alertID_tsReservedCat   1022
#define alertID_tsDBVerIncompat 1024
#define alertID_tsEmptyDB       1026
#define alertID_tsLowMem        1028
#define alertID_tsTimerTooShort 1030
#define alertID_tsTimerTooLong  1032
#define alertID_tsDBConversion  1034
#define alertID_tsTimerOnOtherEntry   1036
#define alertID_tsKeepTiming    1038
#define alertID_tsNoTimedEntry  1040

#define formID_tsMain           1100
#define formID_tsDetail         1102
#define formID_tsEditCat        1104
#define formID_tsEditCatEntry   1106
#define formID_tsPref           1108
#define formID_tsAbout          1110
#define formID_tsWeekly         1112

#define helpID_tsEditCat        1202

#define stringID_tsErasePriorTo 1250
#define stringID_tsSelectDate   1252
#define stringID_tsDefaultClients  1254
#define stringID_tsDefaultProjects 1256
#define stringID_tsDefaultTasks    1258
#define stringID_tsFindHeader      1260
#define stringID_tsDay             1262
#define stringID_tsWeek            1264

#define menuID_tsMain           1300
#define menuID_tsDetail         1302
#define menuID_tsWeekly         1304

#define menuitemID_tsAbout      1400
#define menuitemID_tsEraseDay   1402
#define menuitemID_tsErasePrior 1404
#define menuitemID_tsCut        1406
#define menuitemID_tsCopy       1408
#define menuitemID_tsPaste      1410
#define menuitemID_tsUndo       1412
#define menuitemID_tsGotoEarliest 1414
#define menuitemID_tsGotoLatest 1416
#define menuitemID_tsPref       1418
#define menuitemID_tsEraseWeek  1420

#define groupID_tsDayGroup      1500
#define groupID_tsHourGroup     1502
#define groupID_tsFormatGroup   1504
#define groupID_tsViewGroup     1506

// GUI control definitions

#define buttonID_tsDay0         1600
#define buttonID_tsDay1         1601
#define buttonID_tsDay2         1602
#define buttonID_tsDay3         1603
#define buttonID_tsDay4         1604
#define buttonID_tsDay5         1605
#define buttonID_tsDay6         1606
#define buttonID_tsPrevWeek     1610
#define buttonID_tsNextWeek     1612
#define buttonID_tsNextEntry    1614
#define buttonID_tsPrevEntry    1616
#define buttonID_tsNew          1618
#define buttonID_tsGoto         1620
#define buttonID_tsOk           1622
#define buttonID_tsCancel       1624
#define buttonID_tsDelete       1626
#define buttonID_tsRename       1628
#define buttonID_tsTableUpGrey  1634
#define buttonID_tsTableUp      1636
#define buttonID_tsTableDownGrey 1638
#define buttonID_tsTableDown    1640
#define buttonID_tsLongFormat   1642
#define buttonID_tsShortFormat  1643
#define buttonID_tsDayViewButton 1644
#define buttonID_tsWeekViewButton 1646
#define buttonID_tsMonthViewButton 1648
#define buttonID_tsStartStop    1650
#define buttonID_tsGotoTimed    1652

#define checkboxID_tsCharge     1700
#define checkboxID_tsChargeTotals 1702
#define checkboxID_tsUnderline  1704
#define checkboxID_tsAutoCats   1706
#define checkboxID_tsAutoDur    1708
#define checkboxID_tsKeepTiming 1710

#define fieldID_tsDesc          1802
#define fieldID_tsCat           1804
#define fieldID_tsBuildDate     1806

#define labelID_tsEditCat       1900
#define labelID_tsTotal         1902
#define labelID_tsDate          1904
#define labelID_tsWeek          1906

#define listpopupID_tsClient    2000
#define listpopupID_tsProject   2002
#define listpopupID_tsTask      2004
#define listpopupID_tsHour      2006
#define listpopupID_tsMin       2008

#define listID_tsClient         2100
#define listID_tsProject        2101
#define listID_tsTask           2102
#define listID_tsEdit           2106
#define listID_tsHour           2108
#define listID_tsMin            2110

#define scrollbarID_tsDesc      2200

#define tableID_tsMain          2300

#define bitmapID_tsDayDot       2400
#define bitmapID_tsWeekDot      2402
#define bitmapID_tsMonthDot     2404
#define bitmapID_tsStopWatch    2406

// This is the small icon Palm III displays. It is a 'tAIB' resource with a resID of 1001
// #define bitmapID_tsSmallIcon    1001